## ocaml-estring 20130822

=== Makefile ===
# Makefile
# --------
# Copyright : (c) 2012, Jeremie Dimino <jeremie@dimino.org>
# Licence   : BSD3
#
# Generic Makefile for oasis project

# Set to setup.exe for the release
SETUP := setup-dev.exe

# Default rule
default: build

# Setup for the development version
setup-dev.exe: _oasis setup.ml
	sed '/^#/D' setup.ml > setup_dev.ml
	ocamlfind ocamlopt -o $@ -linkpkg -package ocamlbuild,oasis.dynrun setup_dev.ml || \
	  ocamlfind ocamlc -o $@ -linkpkg -package ocamlbuild,oasis.dynrun setup_dev.ml || true
	rm -f setup_dev.*

# Setup for the release
setup.exe: setup.ml
	ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
	rm -f setup.cmx setup.cmi setup.o setup.obj setup.cmo

build: $(SETUP) setup.data
	./$(SETUP) -build $(BUILDFLAGS)

doc: $(SETUP) setup.data build
	./$(SETUP) -doc $(DOCFLAGS)

test: $(SETUP) setup.data build
	./$(SETUP) -test $(TESTFLAGS)

all: $(SETUP)
	./$(SETUP) -all $(ALLFLAGS)

install: $(SETUP) setup.data
	./$(SETUP) -install $(INSTALLFLAGS)

uninstall: $(SETUP) setup.data
	./$(SETUP) -uninstall $(UNINSTALLFLAGS)

reinstall: $(SETUP) setup.data
	./$(SETUP) -reinstall $(REINSTALLFLAGS)

clean: $(SETUP)
	./$(SETUP) -clean $(CLEANFLAGS)

distclean: $(SETUP)
	./$(SETUP) -distclean $(DISTCLEANFLAGS)

configure: $(SETUP)
	./$(SETUP) -configure $(CONFIGUREFLAGS)

setup.data: $(SETUP)
	./$(SETUP) -configure $(CONFIGUREFLAGS)

.PHONY: default build doc test all install uninstall reinstall clean distclean configure

=== debian/changelog ===
ocaml-estring (20130822-5build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Thu, 05 Nov 2015 09:18:18 -0600

ocaml-estring (20130822-5) unstable; urgency=medium

  * Team upload
  * Add camlp4 to Build-Depends
  * Update packaging w.r.t. oasis 0.4.5 (Closes: #798549)
  * Bump Standards-Version to 3.9.6

 -- Stéphane Glondu <glondu@debian.org>  Fri, 11 Sep 2015 15:48:49 +0200

ocaml-estring (20130822-3) unstable; urgency=medium

  * Team upload.
  * libestring-ocaml now Conflicts/Replaces libbatteries-ocaml-dev (< 2.0)
    (Closes: #722559).

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 09 May 2014 00:40:25 +0200

ocaml-estring (20130822-2) unstable; urgency=low

  * Team upload.
  * libestring-ocaml-dev now Conflicts/Replaces libbatteries-ocaml-dev (< 2.0)
    (Closes: #722559).
  * Fix FTBFS on bytecode architectures:
    + Add 0001-Require-ocamlbuild-in-setup.ml.patch, require "ocamlbuild" in
      setup.ml.
  * Add Vcs-{Git,Browser} fields in debian/control.
  * Require oasis (>= 0.3).

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 25 Nov 2013 23:21:50 +0100

ocaml-estring (20130822-1) unstable; urgency=low

  * Initial release (Closes: #720547)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 22 Aug 2013 23:30:07 +0100

=== debian/control ===
Source: ocaml-estring
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>
Build-Depends:
 debhelper (>= 9),
 dh-ocaml,
 libfindlib-ocaml-dev,
 liboasis-ocaml-dev (>= 0.4.5),
 ocaml-findlib,
 camlp4,
 ocaml-nox
Standards-Version: 3.9.6
Homepage: https://forge.ocamlcore.org/projects/estring/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-estring.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-estring.git

Package: libestring-ocaml
Architecture: any
Depends:
 ${misc:Depends},
 ${ocaml:Depends},
 ${shlibs:Depends}
Provides:
 ${ocaml:Provides}
Conflicts:
 libbatteries-ocaml-dev (<< 2.0)
Replaces:
 libbatteries-ocaml-dev (<< 2.0)
Description: Estring: OCaml development platform (runtime)
 estring, which stands for `extended strings' is a syntax extension
 allowing to prefix string literals with a specifier to change their
 meaning.
 .
 This package used to be part of the batteries project.
 .
 This package contains the shared runtime libraries.

Package: libestring-ocaml-dev
Architecture: any
Depends:
 ocaml-findlib,
 ${misc:Depends},
 ${ocaml:Depends},
 ${shlibs:Depends}
Provides:
 ${ocaml:Provides}
Conflicts:
 libbatteries-ocaml-dev (<< 2.0)
Replaces:
 libbatteries-ocaml-dev (<< 2.0)
Description: Estring: OCaml development platform (development)
 estring, which stands for `extended strings' is a syntax extension
 allowing to prefix string literals with a specifier to change their
 meaning.
 .
 This package used to be part of the batteries project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

export OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' --docdir /usr/share/doc/libestring-ocaml-dev

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build
	ocaml setup.ml -doc

.PHONY: override_dh_auto_test
override_dh_auto_test:
	ocaml setup.ml -test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	ocaml setup.ml -install

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	-ocaml setup.ml -distclean
